Subject: [rfc-i] Soliciting feedback: starting a satisfaction survey for the RFC Production Center and Publisher

From: Heather Flanagan <[email-masked]>
Date: Wed, 16 Jan 2019 07:21:13 -0800

Hello community,

In order to get a better sense of how well the RFC Production Center and 
Publisher are serving the needs of authors, I would like to start 
sending out a short survey to authors immediately after the publication 
of their RFC starting on February 1, 2019. Participation in the survey 
is entirely optional, but the expectation is that requesting feedback 
immediately after publication will be more effective than the current 
process of randomly selecting a percentage of authors who have published 
in the previous year and asking them to recollect what did and did not 
work for them.

The proposed questions in the survey are:

 1. Did the editing service provided by the RFC Editor improve the
    quality of your document? [Yes|No]

 2. What one thing would make the editing process easier or more
    effective? [Free form text]

 3. May we contact you to discuss your suggestions or concerns further?
    [Yes|No]

The RSE (me) will review the feedback and include aggregated results in 
my reports published during IETF meetings. This fits with the 
expectations of the RSE role as described in RFC 6635 (see Section 
2.1.1. "Strategic Leadership and Management of the Publication and 
Production Functions")

The survey will be handled via SurveyMonkey initially, though this may 
change in the future if we decide to either take it in-house or use a 
different service.

If you have any questions, comments, or suggestions regarding this 
activity, please let me know!

Heather Flanagan, RSE
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Julian Reschke <[email-masked]>
Date: Wed, 16 Jan 2019 16:57:37 +0100

> in the previous year and asking them to recollect what did and did not 

But then there might be authors who would *want* to give feedback, but 
will not have a new RFC in the next few months. Would you be interested 
in that feedback, too?

 > ...

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Wed, 16 Jan 2019 08:18:29 -0800

On 1/16/19 7:57 AM, Julian Reschke wrote:
>> In order to get a better sense of how well the RFC Production Center 
>> and Publisher are serving the needs of authors, I would like to start 
>> sending out a short survey to authors immediately after the 
>> publication of their RFC starting on February 1, 2019. Participation 
>> in the survey is entirely optional, but the expectation is that 
>> requesting feedback immediately after publication will be more 
>> effective than the current process of randomly selecting a percentage 
>> of authors who have published in the previous year and asking them to 
>> recollect what did and did not work for them.
>
> will not have a new RFC in the next few months. Would you be 
> interested in that feedback, too?
>
Hi Julian,

I'm always interested in feedback - feel free to send it to me at 
[email-masked] or to the RFC Editor team at 
[email-masked], or if you think it is something for community 
discussion, to [email-masked]. That said, this particular 
survey is looking for feedback during the publication process, so is 
targeted specifically at authors at time of publication.

-Heather

---

From: Julian Reschke <[email-masked]>
Date: Wed, 16 Jan 2019 17:27:23 +0100

> targeted specifically at authors at time of publication.

Understood. I've been through the publication process numerous times, 
after all.

Best regards, Julian

---

From: Дилян Палаузов <[email-masked]>
Date: Wed, 16 Jan 2019 18:49:23 +0000

Hello,

> What one thing would make the editing process easier or more effective? [Free form text]
> 

Post publication editing:

I joined this mailing list proposing integrating the validated errata in the RFCs, without necessary creating a separate
RFC with distinct number for the update.

The idea is that readers can just pick a document (RFC), read it and don’t struggle with fixed misconsistencies in the
document, already clarified in the errata.

Regards
  Дилян

---

From: Michael Richardson <[email-masked]>
Date: Wed, 16 Jan 2019 16:22:38 -0500

Heather Flanagan <[email-masked]> wrote:
    > Publisher are serving the needs of authors, I would like to start sending out
    > a short survey to authors immediately after the publication of their RFC
    > starting on February 1, 2019. Participation in the survey is entirely
    > optional, but the expectation is that requesting feedback immediately after
    > publication will be more effective than the current process of randomly
    > selecting a percentage of authors who have published in the previous year and
    > asking them to recollect what did and did not work for them.

I appreciate this effort, and I don't want to take away from it.
I think that we have a bigger production problem that involves bigger
documents.  I was recently involved in the ~3month AUTH48 effort around
RFC8415 (DHCPv6bis)...  The RFC Production Center did a totally awesome job.

The question is really: should we be producing such long documents?
At 154 pages, it's not even close to what I understand NFSv4 was.
Are we any good at this?  Are there any processes/proceedures/tools
that we could learn from the fiction publishing business?

Could we start some of the editing process earlier?
Would it help during IESG review?

    > 1 Did the editing service provided by the RFC Editor improve the quality of
    > your document? [Yes|No]

But, to your question, I suggest that you ask a few extra questions.

* How long was it from WGLC to the beginning of AUTH48?
  (You know how long AUTH48 is, and also how long it was from IESG/ISE
  approval and AUTH48, but not how many cycles at IESG there were)

* Were there outside issues that made it hard to respond to AUTH48 in
  a timely fashion?  For instance, if the document requires a lot of
  mental context, was it hard to "return" to the document to finish it?

* Did the document remain in MISSREF for a long duration?

* Were you aware of where the document was in the queue?  Did you look?
  Did you get adequate notice as to when AUTH48 might occur?

* Did you have difficulties reaching all authors for approval?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 17 Jan 2019 11:27:37 +1300

Hi Дилян,

(Cc: trimmed)

The RFC (and specifically the .txt file today) is the archival form of
the document, so cannot be changed by definition.

However, I think that having an *annotated* version of the RFC, with
approved errata incorporated somehow, would be interesting. But that
needs real work; I don't think it can be automated. So I wonder whether
it is worth the cost.

Also, for this to work as intended, obsoleted RFCs would have an 
annotated version which says *only* "Obsoleted by RFCxxxx", and RFCs
updated by another RFC would need extensive annotation.

So on the whole I think the header on the HTMLized versions is
the most practical approach. Look at https://tools.ietf.org/html/rfc2460
which shows all these feature, including a link to the errata.

Regards
   Brian Carpenter

---

From: Bob Hinden <[email-masked]>
Date: Wed, 16 Jan 2019 14:44:28 -0800

Heather,

Overall, I think this is a good idea and support it.  Two comment below.

Bob

> On Jan 16, 2019, at 7:21 AM, Heather Flanagan <[email-masked]> wrote:
> 
> Hello community,
> 
> In order to get a better sense of how well the RFC Production Center and Publisher are serving the needs of authors, I would like to start sending out a short survey to authors immediately after the publication of their RFC starting on February 1, 2019. Participation in the survey is entirely optional, but the expectation is that requesting feedback immediately after publication will be more effective than the current process of randomly selecting a percentage of authors who have published in the previous year and asking them to recollect what did and did not work for them.
> 
> 	• Did the editing service provided by the RFC Editor improve the quality of your document? [Yes|No]

Suggest you also allow for free form text on this beside indicating Y/N, especially for the “No” answer.

> 	• What one thing would make the editing process easier or more effective? [Free form text]

Perhaps allowing more than one thing :-)  For example:

   What things would make the editing process….

> 	• May we contact you to discuss your suggestions or concerns further? [Yes|No]
> The RSE (me) will review the feedback and include aggregated results in my reports published during IETF meetings. This fits with the expectations of the RSE role as described in RFC 6635 (see Section 2.1.1. "Strategic Leadership and Management of the Publication and Production Functions")
> 
> The survey will be handled via SurveyMonkey initially, though this may change in the future if we decide to either take it in-house or use a different service.
> 
> If you have any questions, comments, or suggestions regarding this activity, please let me know!
> 
> Heather Flanagan, RSE

---

From: Дилян Палаузов <[email-masked]>
Date: Wed, 16 Jan 2019 23:58:37 +0000

Hi Brian,

I do not say that the original text shall somehow be lost or hard to access.  I also do not ask for assigning the
updated RFC a new number.

Think of https://tools.ietf.org/html/rfc4960?CURRENT where section 8.3 would show the update from 
https://www.rfc-editor.org/errata_search.php?eid=1440 integrated versus https://tools.ietf.org/html/rfc4960?ORIGINAL
without the update. With https://tools.ietf.org/html/rfc4960 showing the content of the former, unless there are other
strong opinions.  The headers with Errata are there, but honestly, how often do you read the errata after reading a RFC
for a first time?  It is just easier for everybody, if the corrections are no extra material to read, but are integrated
in an updated RFC.

Likewise for the PDF version of the RFCs and epub.

I see no need for annotations, since under these circumstances (requesting …?CURRENT or just not asking for the old
text) the old text shall be irrelevant.  Errata keep their form and remain the means to track changes.

Who is in charge for updating at https://www.rfc-editor.org/errata_search.php?eid=1440 the link behind “RFC 4960” from 
http://www.rfc-editor.org/rfc/rfc4960.txt to https://tools.ietf.org/html/rfc4960 ?

Regards
  Дилян

---

From: Jim Schaad <[email-masked]>
Date: Wed, 16 Jan 2019 17:03:21 -0800

One of the worries about this is that going forward we will not have an "htmlized" version of the document as the document will be HTML.  This might require a change to XML2RFC to locate this type of information and emit it as part of the output.  

Jim

> -----Original Message-----
> From: rfc-interest <[email-masked]> On Behalf Of Brian E
> Carpenter
> Sent: Wednesday, January 16, 2019 2:28 PM
> To: Дилян Палаузов <[email-masked]>; Heather Flanagan
> <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [rfc-i] Soliciting feedback: starting a satisfaction survey for the
> RFC Production Center and Publisher
> 
> Hi Дилян,
> 
> (Cc: trimmed)
> 
> The RFC (and specifically the .txt file today) is the archival form of the
> document, so cannot be changed by definition.
> 
> needs real work; I don't think it can be automated. So I wonder whether it is
> worth the cost.
> 
> Also, for this to work as intended, obsoleted RFCs would have an annotated
> version which says *only* "Obsoleted by RFCxxxx", and RFCs updated by
> another RFC would need extensive annotation.
> 
> So on the whole I think the header on the HTMLized versions is the most
> practical approach. Look at https://tools.ietf.org/html/rfc2460
> > I joined this mailing list proposing integrating the validated errata
> > in the RFCs, without necessary creating a separate RFC with distinct
> number for the update.
> >
> > The idea is that readers can just pick a document (RFC), read it and
> > don’t struggle with fixed misconsistencies in the document, already
> clarified in the errata.
> >
> > Regards
> >   Дилян
> >

---

From: Loa Andersson <[email-masked]>
Date: Thu, 17 Jan 2019 10:27:22 +0800

Heather,

One thought, when a document is published as an RFC it is certainly
important and interesting to get the authors opinion on the production
center, so this part of this I support-

However I guess that most of the document that is edited and handled by
the production center are working group documents. The revision control
for a working group document is with the working group, so I think it
would be equally important and interesting to get the opinions of
Document Shepherds and working group chairs.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 17 Jan 2019 17:41:08 +1300

> One of the worries about this is that going forward we will not have an "htmlized" version of the document as the document will be HTML.  This might require a change to XML2RFC to locate this type…

I can't see why we couldn't prepend an HTML banner to the HTML RFC, to convey the same information. Just a small matter of tools work.

Regards
   Brian

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 17 Jan 2019 09:37:58 -0500

I agree with Brian, and this change also gives us an opportunity to improve
the top banner, for example making the phrase "Errata Exist" a live link
rather than using a separate link to reach the errata page.

Cheers,
Andy

On Wed, Jan 16, 2019 at 11:41 PM Brian E Carpenter <
[email-masked]> wrote:

> > One of the worries about this is that going forward we will not have an
> "htmlized" version of the document as the document will be HTML.  This
> might require a change to XML2RFC to locate this type of information and
> emit it as part of the output.
>
> I can't see why we couldn't prepend an HTML banner to the HTML RFC, to
> convey the same information. Just a small matter of tools work.
>
> Regards
>    Brian
>
> >
> > Jim
> >
> >
> the
> it is
> annotated

---

From: Julian Reschke <[email-masked]>
Date: Thu, 17 Jan 2019 15:56:18 +0100

On 2019-01-17 15:37, Andrew G. Malis wrote:
> I agree with Brian, and this change also gives us an opportunity to 
> improve the top banner, for example making the phrase "Errata Exist" a 
> live link rather than using a separate link to reach the errata page.
> 
> Cheers,
> Andy

Or, actually place the errata links in context (when we now the section 
number).

Example:

<https://www.greenbytes.de/tech/webdav/rfc7159.html#rfc.section.1.2>

Best regards, Julian

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 17 Jan 2019 10:19:56 -0500

Julian,

Yeah, that's very cool! I also like the box next to the "Status" section
with the link to the entire list of errata. Very nice!

Cheers,
Andy

---

From: "John Levine" <[email-masked]>
Date: 17 Jan 2019 14:14:32 -0500

In article <[email-masked]> you write:
>> One of the worries about this is that going forward we will not have an "htmlized" version of the document as the document will be HTML.  This might
>require a change to XML2RFC to locate this type of information and emit it as part of the output.  
>

If you want to see an HTML page which gives you both the RFC and the
errata and also updates and obsoletes links, start at
https://www.rfc-editor.org/info/rfcNNNN

Among our other issues, we have accreted far too many semi-official
archives of RFCs just within the IETF's web sites.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Jan 2019 09:36:40 +1300

> https://www.rfc-editor.org/info/rfcNNNN

But for practical purposes, https://tools.ietf.org/html/rfcNNNN is much more
convenient, which is why many of us use it preferentially. And it is nicely linked
to the tracker.

> archives of RFCs just within the IETF's web sites.

If that's a problem, the fix is (even) closer coordination between rfc-editor.org,
tools.ietf.org and datatracker.ietf.org.

However, FWIW I'm happy that tools has a complete mirror of all RFCs.

    Brian

---

From: Julian Reschke <[email-masked]>
Date: Fri, 18 Jan 2019 09:54:20 +0100

> with the link to the entire list of errata. Very nice!

Thanks.

The inline errata are currently inserted a document (re-)generation time 
based on information scraped from the RFC Editor's HTML pages (this is 
why I keep asking for API access to this information).

The box next to status is inserted at runtime using JS, based on 
information provided on tools.ietf.org (in 
machine-readable/easily-parseable form, thanks to Henrik).

Best regards, Julian